Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.eviction
Class EvictedEventNode

    java.lang.Object
      org.jboss.cache.eviction.EvictedEventNode

    public class EvictedEventNode

extends java.lang.Object

Value object used in evicted event node queue.

Author:
  Ben Wang 2-2004, Daniel Huang (dhuang@jboss.org)
See Also:
  `Region`

Field Summary
`static int` | `ADD_ELEMENT_EVENT`
`static int` | `ADD_NODE_EVENT`
`static int` | `MARK_IN_USE_EVENT`
`static int` | `REMOVE_ELEMENT_EVENT`
`static int` | `REMOVE_NODE_EVENT`
`static int` | `UNMARK_USE_EVENT`
`static int` | `VISIT_NODE_EVENT`

Constructor Summary
`EvictedEventNode(Fqn fqn, int event)`
`EvictedEventNode(Fqn fqn, int event, int elementDifference)`

Method Summary
`int` | `getElementDifference()`
`int` | `getEvent()`
`Fqn` | `getFqn()`
`long` | `getInUseTimeout()`
`boolean` | `isResetElementCount()`
`void` | `setElementDifference(int elementDifference_)`
`void` | `setEvent(int event)`
`void` | `setFqn(Fqn fqn)`
`void` | `setInUseTimeout(long inUseTimeout)`
`void` | `setResetElementCount(boolean resetElementCount)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ADD_NODE_EVENT

    public static final int ADD_NODE_EVENT

See Also:
  Constant Field Values

### REMOVE_NODE_EVENT

    public static final int REMOVE_NODE_EVENT

See Also:
  Constant Field Values

### VISIT_NODE_EVENT

    public static final int VISIT_NODE_EVENT

See Also:
  Constant Field Values

### ADD_ELEMENT_EVENT

    public static final int ADD_ELEMENT_EVENT

See Also:
  Constant Field Values

### REMOVE_ELEMENT_EVENT

    public static final int REMOVE_ELEMENT_EVENT

See Also:
  Constant Field Values

### MARK_IN_USE_EVENT

    public static final int MARK_IN_USE_EVENT

See Also:
  Constant Field Values

### UNMARK_USE_EVENT

    public static final int UNMARK_USE_EVENT

See Also:
  Constant Field Values

Constructor Detail

### EvictedEventNode

    public EvictedEventNode(Fqn fqn,
                            int event,
                            int elementDifference)

### EvictedEventNode

    public EvictedEventNode(Fqn fqn,
                            int event)

Method Detail

### getInUseTimeout

    public long getInUseTimeout()

### setInUseTimeout

    public void setInUseTimeout(long inUseTimeout)

### isResetElementCount

    public boolean isResetElementCount()

### setResetElementCount

    public void setResetElementCount(boolean resetElementCount)

### getElementDifference

    public int getElementDifference()

### setElementDifference

    public void setElementDifference(int elementDifference_)

### getFqn

    public Fqn getFqn()

### setFqn

    public void setFqn(Fqn fqn)

### setEvent

    public void setEvent(int event)

### getEvent

    public int getEvent()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.